# Class CIM_VersionCompatibilityCheck
extends CIM_Check

The VersionCompatibilityCheck class specifies whether it is permissible to create the next state of a SoftwareElement.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Check
|
+--CIM_VersionCompatibilityCheck

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The VersionCompatibilityCheck class specifies whether it is permissible to create the next state of a SoftwareElement.
UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AllowDownVersion | boolean |
Description | string | The AllowDownVersion property indicates that this Software Element can transition to its next state even if a higher or later version of the element already exists in the environment.
AllowMultipleVersions | boolean |
Description | string | The AllowMultipleVersions option controls the ability to configure multiple versions of a SoftwareElement on a system.
Reinstall | boolean |
Description | string | The Reinstall property indicates that this SoftwareElement can transition to its next state even if an element of the same version already exists in the environment.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CheckID | string | CIM_Check
CheckMode | boolean | CIM_Check
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Check
SoftwareElementID | string | CIM_Check
SoftwareElementState | uint16 | CIM_Check
TargetOperatingSystem | uint16 | CIM_Check
Version | string | CIM_Check

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
Invoke | uint32 | CIM_Check
InvokeOnSystem | uint32 | CIM_Check